Skip to main content

Get the Packet Constructor protocol library

GET
/packet-constructor/protocols

Returns the Packet Constructor protocols: fields with bit offsets, formats, defaults, and auto-calculation, and the allowed next headers, as well as the template and binary format versions, frame size and preview limits, and IMIX presets.

Contract

Parameter
Value
Sectionpacket-constructor
AuthenticationCookieAuth
Consumesnot required
Producesapplication/json

Parameters

0 parameters

No parameters are required.

Responses

3 responses

Status
Description
Type
200
OKobject
401
Unauthorizedobject
500
Protocol library failed to loadobject
  • {
      "formatVersion": 0,
      "imixPresets": {
        "<key>": [
          {
            "size": 0,
            "weight": 0
          }
        ]
      },
      "maxFrameSize": 0,
      "maxPreviewFrames": 0,
      "minFrameSize": 0,
      "protocols": [
        {
          "fields": [
            {
              "auto": {},
              "bind": "<string>",
              "bitOffset": 0,
              "bits": 0,
              "default": "<string>",
              "format": "<string>",
              "id": "<string>",
              "name": "<string>",
              "readOnly": true
            }
          ],
          "id": "<string>",
          "length": 0,
          "name": "<string>",
          "root": true,
          "standard": "<string>",
          "successors": [
            "<string>"
          ]
        }
      ],
      "templateVersion": 0
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }